Page MenuHomePhabricator

[1.36] Remove VectorBeforeFooter
Closed, ResolvedPublic

Description

The VectorBeforeFooter was marked as deprecated in 1.35. It should be removed in 1.36 (replaced with a more generic hook in core if needed).

There is one usage in ShoutAds so am interested in hearing from the maintainer about the use case.

https://codesearch.wmflabs.org/search/?q=VectorBeforeFooter&i=nope&files=&repos=

I'm pretty sure that SkinAfterContent with some CSS or AddFooterLink could be used to achieve the same effect. Please let me know :)

Acceptance criteria

  • Remove VectorFooter from the codebase (no need to add release notes as there is no process in place for skins)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2020, 10:58 PM
lcawte added a subscriber: lcawte.Jun 11 2020, 11:36 PM

I'm pretty sure that SkinAfterContent with some CSS or AddFooterLink could be used to achieve the same effect.

Perhaps, I've got some changes to make to ShoutWikiAds at some point in the near future, I'll have to have a look. I'll note that it probably doesn't help that neither of said Hooks are listed at Manual:Hooks (*cough* T2001 *cough*)

Jdlrobson renamed this task from Deprecate VectorBeforeFooter to Deprecate VectorBeforeFooter hook.Jun 15 2020, 5:54 PM
Jdlrobson renamed this task from Deprecate VectorBeforeFooter hook to [1.36] Remove VectorBeforeFooter.Jun 15 2020, 9:59 PM
Jdlrobson updated the task description. (Show Details)

@Jdlrobson The title says 1.36, but MW-1.35-release is also tagged.

Jdlrobson triaged this task as High priority.Jul 24 2020, 5:28 PM

Change 616188 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/Vector@master] Remove VectorBeforeFooter hook

https://gerrit.wikimedia.org/r/616188

Ammarpad claimed this task.Jul 25 2020, 1:48 AM

Change 616188 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Remove VectorBeforeFooter hook

https://gerrit.wikimedia.org/r/616188

Jdlrobson updated the task description. (Show Details)Aug 13 2020, 11:32 PM
Jdlrobson removed a project: ShoutWiki.
Jdlrobson closed this task as Resolved.Aug 16 2020, 4:25 PM